:: Gsplit Backup - Takes a large file and splits it up into pieces for easier backup.
::                 Uses VSS Snapshot to ensure access to the data file even if in use.
:: Last Updated: 8/4/2011
:: 12/11/2014 - added quotes around mydatafile and gsplitdatafolder calls at bottom of script.
:: 11/16/2020 - quotes around data file are needed if embedded special character i.e,. & (or could escape with ^)
::
:: How to configure - Perform the 4 edits to the SET statements as indicated
::
:: 1. Edit operating system type: XP=Windows XP, 2003=Windows 2003, 32=32-bit OS, 
::    64=64-bit OS. The default is 64-bit OS. Adjust as needed below.
::
SET myOS=64
::
:: 2. Edit the filepath where this Gsplit_Backup.bat file lives. It should contain
::    the GsplitwithVSS utility folder. Default is C:\Gsplit_Backup
::
SET myPath=C:\Gsplit_Backup
::
:: 3. Edit the file path location of the source file to be split. Example shown is
::    typical location for Joe Computer's outlook mail folder file. Note quotes in case of &
::
SET "myDataFile=C:\Users\Joe Computer\AppData\Local\Microsoft\Outlook\outlook.pst"
::
:: 4. Edit the foldername which will contain the split data - This folder should be
::    identified for online backup. The default is folder called GsplitData.
::
SET GsplitDataFolder=%MyPath%\GsplitData
::
:: Make sure that you select the GsplitData for backup AND that you create a file in
:: the remote backup folder called pre-<backupsetname>.bat. In that file you want
:: to have a line which calls this script, i.e., CALL C:\Gsplit_Backup\Gsplit_Backup.bat
::
:: Note 1: Test using a command box in administrator mode
:: Note 2: If the Q drive already exists, a free drive will need to be identified in
::         the GsplitWithVss.bat file.
::
:: ------ Do not edit below this line -------
::
:: Constants
::
SET Gsplit=GsplitWithVSS
::
:: We do the actual VSS snapshot and chunking using gsplit here
CALL "%MyPath%\%Gsplit%\GsplitWithVSS.bat" "%myDataFile%" "%GsplitDataFolder%" %myOS%
::
:: Done.
